package UI.LogIn;

import UI.Registration.InitialPanel;
import java.util.ArrayList;

/**
 * this class represents a setting for game
 * include username and num of wins and looses and ..
 * @author zahra_fatehi
 * @version 0.0
 */
public class Setting {
    private long playedTime = 0;
    private String userName = InitialPanel.userName.getText() ;
    private int numOfWinsSingle = 0;
    private int numOfLoosesSingle = 0;
    private int numOfWinsMulti = 0;
    private int numOfLoosesMulti = 0;
    private static String tankShapePath = "C:\\Users\\Lenovo\\IdeaProjects\\JTankTrouble\\pics\\tank_blue.png";
    private int tankArmor = 100;
    private int bulletDamage ;
    private int wallWealth = 100;
    private ArrayList<String> urls = new ArrayList<>();

    /**
     * set the time og=f playing and the game is win or  not in single play
     * @param startTime is the time we started the game
     * @param endTime is the time we finished the game
     * @param isWin shows e win the game or not
     */
    public void updateSettingAfterASingleGame(long startTime , long endTime , boolean isWin ){
        System.out.println(endTime +"   "+ startTime);
        playedTime += endTime - startTime ;
        if (isWin)numOfWinsSingle++;
        else numOfLoosesSingle++;
    }

    /**
     * set the time og=f playing and the game is win or  not in network play
     * @param startTime is the time we started the game
     * @param endTime is the time we finished the game
     * @param isWin shows e win the game or not
     */
    public void updateSettingAfterAMultiGame(long startTime , long endTime , boolean isWin ){
        playedTime += endTime - startTime ;
        if (isWin)numOfWinsMulti++;
        else numOfLoosesMulti++;
    }


    /**
     *some seeter and getter for fields
     */
    public int getNumOfWinsMulti() {
        return numOfWinsMulti;
    }

    public int getNumOfLoosesMulti() {
        return numOfLoosesMulti;
    }

    public long getPlayedTime() {
        return playedTime;
    }

    public String getUserName() {
        return userName;
    }


    public int getNumOfWinsSingle() {
        return numOfWinsSingle;
    }

    public int getNumOfLoosesSingle() {
        return numOfLoosesSingle;
    }

    public String getTankShapePath() {
        return tankShapePath;
    }

    public void setTankShapePath(String tankShapePath) {
        this.tankShapePath = tankShapePath;
    }

    public int getTankArmor() {
        return tankArmor;
    }

}
